| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::NRSettings Class Reference
Inheritance diagram for Digikam::NRSettings:

## Signals
void | signalEstimateNoise ()
void | signalSettingsChanged ()

## Public Member Functions
| NRSettings (QWidget *const parent)
NRContainer | defaultSettings () const
bool | estimateNoise () const
void | loadSettings ()
void | readSettings (const KConfigGroup &group)
void | resetToDefault ()
void | saveAsSettings ()
void | setEstimateNoise (bool b)
void | setSettings (const NRContainer &settings)
NRContainer | settings () const
void | writeSettings (KConfigGroup &group)